class MyFollowingState {
  List<String>? tabsList;
  int? currentPageViewIdx = 0;
  int? followerCount;
  int? followCount;
  bool? followPageIsSearchBarStatus = false;
  bool? followerPageIsSearchBarStatus = false;

  MyFollowingState({
    tabsList,
    this.followerCount = 0,
    this.followCount = 0,
    this.currentPageViewIdx = 0,
    this.followPageIsSearchBarStatus = false,
    this.followerPageIsSearchBarStatus = false,
  }) : tabsList = tabsList ?? [
    'Follow',
    'Follower',
  ];

  MyFollowingState copyWith({
    List<String>? tabsList,
    int? currentPageViewIdx,
    int? activeTabIdx,
    int? followerCount,
    int? followCount,
    bool? followPageIsSearchBarStatus,
    bool? followerPageIsSearchBarStatus,
  }) {
    return MyFollowingState(
      tabsList: tabsList ?? this.tabsList,
      currentPageViewIdx: currentPageViewIdx ?? this.currentPageViewIdx,
      followerCount: followerCount ?? this.followerCount,
      followCount: followCount ?? this.followCount,
      followPageIsSearchBarStatus: followPageIsSearchBarStatus ?? this.followPageIsSearchBarStatus,
      followerPageIsSearchBarStatus: followerPageIsSearchBarStatus ?? this.followerPageIsSearchBarStatus,
    );
  }
}